OBAS failes to update via PVA

Discussion in 'Troubleshooting' started by IATechsupport, Jun 29, 2017.

  1. IATechsupport

    IATechsupport Kilo Poster

    Messages:
    81
    Created a new obas virtual container, installed latest obas version and everything is ok and running.

    When I try to do software updates via PVA on the container I get,

    Can not update packages: ' vzpkg update -q -n -p 60' exec failed - Error: Package: hspc-release-4.5.7-43.swsoft.x86_64 (installed)
    Requires: mod_perl(hspcd) >= 1.31-17
    Removing: mod_perl-1.31-17.el6.swsoft.x86_64 (installed)
    mod_perl(hspcd)
    Updated By: mod_perl-2.0.4-11.el6_5.x86_64 (base2)
    Not found
    Error: Package: perl-libapreq-1.34-1.x86_64 (installed)
    Requires: perl(mod_perl) >= 1.17
    Removing: mod_perl-1.31-17.el6.swsoft.x86_64 (installed)
    perl(mod_perl) = 1.31
    Updated By: mod_perl-2.0.4-11.el6_5.x86_64 (base2)
    Not found
    Error: Package: perl-Cache-Cache-1.06-1.noarch (installed)
    Requires: perl(IPC::ShareLite)
    Removing: 4:perl-5.10.1-136.el6.parallels.x86_64 (installed)
    perl(IPC::ShareLite) = 0.09
    Updated By: 4:perl-5.10.1-144.el6.x86_64 (base2)
    Not found
    Error: Package: hspc-release-4.5.7-43.swsoft.x86_64 (installed)
    Requires: perl:)SWSOFT) >= 5.10.1-136
    Removing: 4:perl-5.10.1-136.el6.parallels.x86_64 (installed)
    perl:)SWSOFT)
    Updated By: 4:perl-5.10.1-144.el6.x86_64 (base2)
    Not found
    Error: Package: hspc-release-4.5.7-43.swsoft.x86_64 (installed)
    Requires: perl(IPC::ShareLite)
    Removing: 4:perl-5.10.1-136.el6.parallels.x86_64 (installed)
    perl(IPC::ShareLite) = 0.09
    Updated By: 4:perl-5.10.1-144.el6.x86_64 (base2)
    Not found
    Error: /usr/share/vzyum/bin/yum failed, exitcode=1
    [​IMG]
    [​IMG]
    I'm not sure whats going on here.
     
  2. dkolvakh

    dkolvakh Odin Team

    Messages:
    348
  3. IATechsupport

    IATechsupport Kilo Poster

    Messages:
    81
    Hi, Thanks for that but it made no difference at all.
    Still get the same error
     
  4. dkolvakh

    dkolvakh Odin Team

    Messages:
    348
    Hello.

    In this case, ask assistance in Odin support, with reference to this thread.
     
  5. IATechsupport

    IATechsupport Kilo Poster

    Messages:
    81
    Apparently so I've been told by Odin Support, you can not update a container from within PVA that containes OBAS.
    You have to use the minor OBAS update method
     
    dkolvakh likes this.

Share This Page